<?php
    $review_link = "";
    if ($this->rev_count > 0) {
        $review_link = $this->getLink('escort-reviews', array('showname' => $this->about->showname, 'escort_id' => $this->escort->id));
    } else if ($this->rev_count == 0 && !Model_Users::getCurrent()) {
        $review_link = $this->getlink('signin') . '?referrer=reviews/add-review/' . $this->escort->id;
    } else {
        $review_link = $this->getLink('escort-add-review', array('escort_id' => $this->escort->id));
    }
?>
            <hr class="hidden-md-down">
<div class="panel panel-default col-12 p-0">
    <div class="panel-heading" role="tab" id="headingReviews">
        <p class="panel-title" data-toggle="collapse" data-parent="#accordion" data-target="#collapsReviews"
           aria-expanded="true" aria-controls="collapsReviews"><?= $this->t('reviews') ?> (<?= $this->rev_count ?>)
            <a class="float-right hidden-md-down" href="<?= $review_link; ?>">
                <button class="btn btn-primary"> <?= ($this->rev_count > 0) ? __('add_view_reviews') : __("add_review") ?></button>
            </a>
        </p>
    </div>
    <div id="collapsReviews" class="panel-collapse collapse show" role="tabpanel" aria-labelledby="headingReviews">
        <div class="panel-body">
            <? if ($this->reviews && !$this->disabled_rev): ?>
                <div class="escort-reviews">
                    
                    <?php
                   
                     $Reviews = array_chunk($this->reviews, 2);
                      foreach ($Reviews as $j => $reviews): ?>
                        <div class="col-12 col-lg-6 col-sm-6 float-left p-<?= ($j%2==0)? 'l-0' : 'r-0'?>">
                            <?php foreach ($reviews as $review) : ?>
                                <div class="review mb-10 row">
                                    <div class="col-12">
                                        <div class="d-flex flex-md-row flex-sm-column flex-column justify-content-between ">
                                            <div>
                                                <?= $this->t('looks') ?>:
                                                <? for ($i = 1;
                                                $i <= 5;
                                                $i++): ?>
                                                <? if ($review->looks_rating > $i): ?>
                                                    <i class="ion-star"></i>
                                                <? else: ?>
                                                <i class="ion-star yellow">
                                                    <? endif; ?>
                                                    <? endfor; ?>
                                            </div>
                                            <div> <?= $this->t('massage') ?>:
                                                <i class="ion-checkmark-circled green-light"></i> <i
                                                        class="ion-checkmark-circled green-light"></i> <i
                                                        class="ion-checkmark-circled green-light"></i> <i
                                                        class="ion-checkmark-circled"></i> <i
                                                        class="ion-checkmark-circled"></i>
                                            </div>
                                            <div>
                                                By:
                                                <a class="underlined"
                                                   href="<?= $this->getLink('member-info', array('username' => $review->username)) ?>">
                                                    <strong><u><?= $review->username ?></u></strong>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <? if ($review->review): ?>
                                            <p class="my-1 text-justify"><?= $review->review ?></p>
                                        <? endif; ?>
                                        <? if ($review->services_comments): ?>
                                            <p class="my-1 text-justify"><?= $review->services_comments ?></p>
                                        <? endif; ?>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    <? endforeach; ?>
                </div>

            <? endif; ?>
            
             <a class="float-right d-md-none mb-3" href="<?= $review_link; ?>">
                <button class="btn btn-primary"> <?= ($this->rev_count > 0) ? __('add_view_reviews') : __("add_review") ?></button>
            </a>
        </div>

    </div>
</div>



                
                      

                    
             